Documentation
¶
Index ¶
- Constants
- type GetCoursesForResource
- type GetCoursesForResourceHandler
- type GetCoursesForResourceHandlerFunc
- type GetCoursesForResourceNotFound
- type GetCoursesForResourceOK
- type GetCoursesForResourceParams
- type GetCoursesForResourceURL
- func (o *GetCoursesForResourceURL) Build() (*url.URL, error)
- func (o *GetCoursesForResourceURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetCoursesForResourceURL) Must(u *url.URL, err error) *url.URL
- func (o *GetCoursesForResourceURL) SetBasePath(bp string)
- func (o *GetCoursesForResourceURL) String() string
- func (o *GetCoursesForResourceURL) StringFull(scheme, host string) string
- func (o *GetCoursesForResourceURL) WithBasePath(bp string) *GetCoursesForResourceURL
- type GetResource
- type GetResourceHandler
- type GetResourceHandlerFunc
- type GetResourceNotFound
- type GetResourceOK
- type GetResourceParams
- type GetResourceURL
- func (o *GetResourceURL) Build() (*url.URL, error)
- func (o *GetResourceURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetResourceURL) Must(u *url.URL, err error) *url.URL
- func (o *GetResourceURL) SetBasePath(bp string)
- func (o *GetResourceURL) String() string
- func (o *GetResourceURL) StringFull(scheme, host string) string
- func (o *GetResourceURL) WithBasePath(bp string) *GetResourceURL
- type GetResources
- type GetResourcesHandler
- type GetResourcesHandlerFunc
- type GetResourcesOK
- type GetResourcesParams
- type GetResourcesURL
- func (o *GetResourcesURL) Build() (*url.URL, error)
- func (o *GetResourcesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetResourcesURL) Must(u *url.URL, err error) *url.URL
- func (o *GetResourcesURL) SetBasePath(bp string)
- func (o *GetResourcesURL) String() string
- func (o *GetResourcesURL) StringFull(scheme, host string) string
- func (o *GetResourcesURL) WithBasePath(bp string) *GetResourcesURL
- type GetSectionsForResource
- type GetSectionsForResourceHandler
- type GetSectionsForResourceHandlerFunc
- type GetSectionsForResourceNotFound
- type GetSectionsForResourceOK
- type GetSectionsForResourceParams
- type GetSectionsForResourceURL
- func (o *GetSectionsForResourceURL) Build() (*url.URL, error)
- func (o *GetSectionsForResourceURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetSectionsForResourceURL) Must(u *url.URL, err error) *url.URL
- func (o *GetSectionsForResourceURL) SetBasePath(bp string)
- func (o *GetSectionsForResourceURL) String() string
- func (o *GetSectionsForResourceURL) StringFull(scheme, host string) string
- func (o *GetSectionsForResourceURL) WithBasePath(bp string) *GetSectionsForResourceURL
- type GetUsersForResource
- type GetUsersForResourceHandler
- type GetUsersForResourceHandlerFunc
- type GetUsersForResourceNotFound
- type GetUsersForResourceOK
- type GetUsersForResourceParams
- type GetUsersForResourceURL
- func (o *GetUsersForResourceURL) Build() (*url.URL, error)
- func (o *GetUsersForResourceURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetUsersForResourceURL) Must(u *url.URL, err error) *url.URL
- func (o *GetUsersForResourceURL) SetBasePath(bp string)
- func (o *GetUsersForResourceURL) String() string
- func (o *GetUsersForResourceURL) StringFull(scheme, host string) string
- func (o *GetUsersForResourceURL) WithBasePath(bp string) *GetUsersForResourceURL
Constants ¶
const GetCoursesForResourceNotFoundCode int = 404
GetCoursesForResourceNotFoundCode is the HTTP code returned for type GetCoursesForResourceNotFound
const GetCoursesForResourceOKCode int = 200
GetCoursesForResourceOKCode is the HTTP code returned for type GetCoursesForResourceOK
const GetResourceNotFoundCode int = 404
GetResourceNotFoundCode is the HTTP code returned for type GetResourceNotFound
const GetResourceOKCode int = 200
GetResourceOKCode is the HTTP code returned for type GetResourceOK
const GetResourcesOKCode int = 200
GetResourcesOKCode is the HTTP code returned for type GetResourcesOK
const GetSectionsForResourceNotFoundCode int = 404
GetSectionsForResourceNotFoundCode is the HTTP code returned for type GetSectionsForResourceNotFound
const GetSectionsForResourceOKCode int = 200
GetSectionsForResourceOKCode is the HTTP code returned for type GetSectionsForResourceOK
const GetUsersForResourceNotFoundCode int = 404
GetUsersForResourceNotFoundCode is the HTTP code returned for type GetUsersForResourceNotFound
const GetUsersForResourceOKCode int = 200
GetUsersForResourceOKCode is the HTTP code returned for type GetUsersForResourceOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type GetCoursesForResource ¶
type GetCoursesForResource struct {
Context *middleware.Context
Handler GetCoursesForResourceHandler
}
GetCoursesForResource swagger:route GET /resources/{id}/courses Resources getCoursesForResource
Returns the courses for a resource
func NewGetCoursesForResource ¶
func NewGetCoursesForResource(ctx *middleware.Context, handler GetCoursesForResourceHandler) *GetCoursesForResource
NewGetCoursesForResource creates a new http.Handler for the get courses for resource operation
func (*GetCoursesForResource) ServeHTTP ¶
func (o *GetCoursesForResource) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetCoursesForResourceHandler ¶
type GetCoursesForResourceHandler interface {
Handle(GetCoursesForResourceParams, interface{}) middleware.Responder
}
GetCoursesForResourceHandler interface for that can handle valid get courses for resource params
type GetCoursesForResourceHandlerFunc ¶
type GetCoursesForResourceHandlerFunc func(GetCoursesForResourceParams, interface{}) middleware.Responder
GetCoursesForResourceHandlerFunc turns a function with the right signature into a get courses for resource handler
func (GetCoursesForResourceHandlerFunc) Handle ¶
func (fn GetCoursesForResourceHandlerFunc) Handle(params GetCoursesForResourceParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetCoursesForResourceNotFound ¶
type GetCoursesForResourceNotFound struct {
/*
In: Body
*/
Payload *models.NotFound `json:"body,omitempty"`
}
GetCoursesForResourceNotFound Entity Not Found
swagger:response getCoursesForResourceNotFound
func NewGetCoursesForResourceNotFound ¶
func NewGetCoursesForResourceNotFound() *GetCoursesForResourceNotFound
NewGetCoursesForResourceNotFound creates GetCoursesForResourceNotFound with default headers values
func (*GetCoursesForResourceNotFound) SetPayload ¶
func (o *GetCoursesForResourceNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get courses for resource not found response
func (*GetCoursesForResourceNotFound) WithPayload ¶
func (o *GetCoursesForResourceNotFound) WithPayload(payload *models.NotFound) *GetCoursesForResourceNotFound
WithPayload adds the payload to the get courses for resource not found response
func (*GetCoursesForResourceNotFound) WriteResponse ¶
func (o *GetCoursesForResourceNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetCoursesForResourceOK ¶
type GetCoursesForResourceOK struct {
/*
In: Body
*/
Payload *models.CoursesResponse `json:"body,omitempty"`
}
GetCoursesForResourceOK OK Response
swagger:response getCoursesForResourceOK
func NewGetCoursesForResourceOK ¶
func NewGetCoursesForResourceOK() *GetCoursesForResourceOK
NewGetCoursesForResourceOK creates GetCoursesForResourceOK with default headers values
func (*GetCoursesForResourceOK) SetPayload ¶
func (o *GetCoursesForResourceOK) SetPayload(payload *models.CoursesResponse)
SetPayload sets the payload to the get courses for resource o k response
func (*GetCoursesForResourceOK) WithPayload ¶
func (o *GetCoursesForResourceOK) WithPayload(payload *models.CoursesResponse) *GetCoursesForResourceOK
WithPayload adds the payload to the get courses for resource o k response
func (*GetCoursesForResourceOK) WriteResponse ¶
func (o *GetCoursesForResourceOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetCoursesForResourceParams ¶
type GetCoursesForResourceParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
EndingBefore *string
/*
Required: true
In: path
*/
ID string
/*
In: query
*/
Limit *int64
/*
In: query
*/
StartingAfter *string
}
GetCoursesForResourceParams contains all the bound params for the get courses for resource operation typically these are obtained from a http.Request
swagger:parameters getCoursesForResource
func NewGetCoursesForResourceParams ¶
func NewGetCoursesForResourceParams() GetCoursesForResourceParams
NewGetCoursesForResourceParams creates a new GetCoursesForResourceParams object
There are no default values defined in the spec.
func (*GetCoursesForResourceParams) BindRequest ¶
func (o *GetCoursesForResourceParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetCoursesForResourceParams() beforehand.
type GetCoursesForResourceURL ¶
type GetCoursesForResourceURL struct {
ID string
EndingBefore *string
Limit *int64
StartingAfter *string
// contains filtered or unexported fields
}
GetCoursesForResourceURL generates an URL for the get courses for resource operation
func (*GetCoursesForResourceURL) Build ¶
func (o *GetCoursesForResourceURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetCoursesForResourceURL) BuildFull ¶
func (o *GetCoursesForResourceURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetCoursesForResourceURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetCoursesForResourceURL) SetBasePath ¶
func (o *GetCoursesForResourceURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetCoursesForResourceURL) String ¶
func (o *GetCoursesForResourceURL) String() string
String returns the string representation of the path with query string
func (*GetCoursesForResourceURL) StringFull ¶
func (o *GetCoursesForResourceURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetCoursesForResourceURL) WithBasePath ¶
func (o *GetCoursesForResourceURL) WithBasePath(bp string) *GetCoursesForResourceURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetResource ¶
type GetResource struct {
Context *middleware.Context
Handler GetResourceHandler
}
GetResource swagger:route GET /resources/{id} Resources getResource
Returns a specific resource
func NewGetResource ¶
func NewGetResource(ctx *middleware.Context, handler GetResourceHandler) *GetResource
NewGetResource creates a new http.Handler for the get resource operation
func (*GetResource) ServeHTTP ¶
func (o *GetResource) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetResourceHandler ¶
type GetResourceHandler interface {
Handle(GetResourceParams, interface{}) middleware.Responder
}
GetResourceHandler interface for that can handle valid get resource params
type GetResourceHandlerFunc ¶
type GetResourceHandlerFunc func(GetResourceParams, interface{}) middleware.Responder
GetResourceHandlerFunc turns a function with the right signature into a get resource handler
func (GetResourceHandlerFunc) Handle ¶
func (fn GetResourceHandlerFunc) Handle(params GetResourceParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetResourceNotFound ¶
GetResourceNotFound Entity Not Found
swagger:response getResourceNotFound
func NewGetResourceNotFound ¶
func NewGetResourceNotFound() *GetResourceNotFound
NewGetResourceNotFound creates GetResourceNotFound with default headers values
func (*GetResourceNotFound) SetPayload ¶
func (o *GetResourceNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get resource not found response
func (*GetResourceNotFound) WithPayload ¶
func (o *GetResourceNotFound) WithPayload(payload *models.NotFound) *GetResourceNotFound
WithPayload adds the payload to the get resource not found response
func (*GetResourceNotFound) WriteResponse ¶
func (o *GetResourceNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetResourceOK ¶
type GetResourceOK struct {
/*
In: Body
*/
Payload *models.ResourceResponse `json:"body,omitempty"`
}
GetResourceOK OK Response
swagger:response getResourceOK
func NewGetResourceOK ¶
func NewGetResourceOK() *GetResourceOK
NewGetResourceOK creates GetResourceOK with default headers values
func (*GetResourceOK) SetPayload ¶
func (o *GetResourceOK) SetPayload(payload *models.ResourceResponse)
SetPayload sets the payload to the get resource o k response
func (*GetResourceOK) WithPayload ¶
func (o *GetResourceOK) WithPayload(payload *models.ResourceResponse) *GetResourceOK
WithPayload adds the payload to the get resource o k response
func (*GetResourceOK) WriteResponse ¶
func (o *GetResourceOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetResourceParams ¶
type GetResourceParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
Required: true
In: path
*/
ID string
}
GetResourceParams contains all the bound params for the get resource operation typically these are obtained from a http.Request
swagger:parameters getResource
func NewGetResourceParams ¶
func NewGetResourceParams() GetResourceParams
NewGetResourceParams creates a new GetResourceParams object
There are no default values defined in the spec.
func (*GetResourceParams) BindRequest ¶
func (o *GetResourceParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetResourceParams() beforehand.
type GetResourceURL ¶
type GetResourceURL struct {
ID string
// contains filtered or unexported fields
}
GetResourceURL generates an URL for the get resource operation
func (*GetResourceURL) Build ¶
func (o *GetResourceURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetResourceURL) BuildFull ¶
func (o *GetResourceURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetResourceURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetResourceURL) SetBasePath ¶
func (o *GetResourceURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetResourceURL) String ¶
func (o *GetResourceURL) String() string
String returns the string representation of the path with query string
func (*GetResourceURL) StringFull ¶
func (o *GetResourceURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetResourceURL) WithBasePath ¶
func (o *GetResourceURL) WithBasePath(bp string) *GetResourceURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetResources ¶
type GetResources struct {
Context *middleware.Context
Handler GetResourcesHandler
}
GetResources swagger:route GET /resources Resources getResources
Returns a list of resources
func NewGetResources ¶
func NewGetResources(ctx *middleware.Context, handler GetResourcesHandler) *GetResources
NewGetResources creates a new http.Handler for the get resources operation
func (*GetResources) ServeHTTP ¶
func (o *GetResources) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetResourcesHandler ¶
type GetResourcesHandler interface {
Handle(GetResourcesParams, interface{}) middleware.Responder
}
GetResourcesHandler interface for that can handle valid get resources params
type GetResourcesHandlerFunc ¶
type GetResourcesHandlerFunc func(GetResourcesParams, interface{}) middleware.Responder
GetResourcesHandlerFunc turns a function with the right signature into a get resources handler
func (GetResourcesHandlerFunc) Handle ¶
func (fn GetResourcesHandlerFunc) Handle(params GetResourcesParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetResourcesOK ¶
type GetResourcesOK struct {
/*
In: Body
*/
Payload *models.ResourcesResponse `json:"body,omitempty"`
}
GetResourcesOK OK Response
swagger:response getResourcesOK
func NewGetResourcesOK ¶
func NewGetResourcesOK() *GetResourcesOK
NewGetResourcesOK creates GetResourcesOK with default headers values
func (*GetResourcesOK) SetPayload ¶
func (o *GetResourcesOK) SetPayload(payload *models.ResourcesResponse)
SetPayload sets the payload to the get resources o k response
func (*GetResourcesOK) WithPayload ¶
func (o *GetResourcesOK) WithPayload(payload *models.ResourcesResponse) *GetResourcesOK
WithPayload adds the payload to the get resources o k response
func (*GetResourcesOK) WriteResponse ¶
func (o *GetResourcesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetResourcesParams ¶
type GetResourcesParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
EndingBefore *string
/*
In: query
*/
Limit *int64
/*
In: query
*/
StartingAfter *string
}
GetResourcesParams contains all the bound params for the get resources operation typically these are obtained from a http.Request
swagger:parameters getResources
func NewGetResourcesParams ¶
func NewGetResourcesParams() GetResourcesParams
NewGetResourcesParams creates a new GetResourcesParams object
There are no default values defined in the spec.
func (*GetResourcesParams) BindRequest ¶
func (o *GetResourcesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetResourcesParams() beforehand.
type GetResourcesURL ¶
type GetResourcesURL struct {
EndingBefore *string
Limit *int64
StartingAfter *string
// contains filtered or unexported fields
}
GetResourcesURL generates an URL for the get resources operation
func (*GetResourcesURL) Build ¶
func (o *GetResourcesURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetResourcesURL) BuildFull ¶
func (o *GetResourcesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetResourcesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetResourcesURL) SetBasePath ¶
func (o *GetResourcesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetResourcesURL) String ¶
func (o *GetResourcesURL) String() string
String returns the string representation of the path with query string
func (*GetResourcesURL) StringFull ¶
func (o *GetResourcesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetResourcesURL) WithBasePath ¶
func (o *GetResourcesURL) WithBasePath(bp string) *GetResourcesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetSectionsForResource ¶
type GetSectionsForResource struct {
Context *middleware.Context
Handler GetSectionsForResourceHandler
}
GetSectionsForResource swagger:route GET /resources/{id}/sections Resources getSectionsForResource
Returns the sections for a resource
func NewGetSectionsForResource ¶
func NewGetSectionsForResource(ctx *middleware.Context, handler GetSectionsForResourceHandler) *GetSectionsForResource
NewGetSectionsForResource creates a new http.Handler for the get sections for resource operation
func (*GetSectionsForResource) ServeHTTP ¶
func (o *GetSectionsForResource) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetSectionsForResourceHandler ¶
type GetSectionsForResourceHandler interface {
Handle(GetSectionsForResourceParams, interface{}) middleware.Responder
}
GetSectionsForResourceHandler interface for that can handle valid get sections for resource params
type GetSectionsForResourceHandlerFunc ¶
type GetSectionsForResourceHandlerFunc func(GetSectionsForResourceParams, interface{}) middleware.Responder
GetSectionsForResourceHandlerFunc turns a function with the right signature into a get sections for resource handler
func (GetSectionsForResourceHandlerFunc) Handle ¶
func (fn GetSectionsForResourceHandlerFunc) Handle(params GetSectionsForResourceParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetSectionsForResourceNotFound ¶
type GetSectionsForResourceNotFound struct {
/*
In: Body
*/
Payload *models.NotFound `json:"body,omitempty"`
}
GetSectionsForResourceNotFound Entity Not Found
swagger:response getSectionsForResourceNotFound
func NewGetSectionsForResourceNotFound ¶
func NewGetSectionsForResourceNotFound() *GetSectionsForResourceNotFound
NewGetSectionsForResourceNotFound creates GetSectionsForResourceNotFound with default headers values
func (*GetSectionsForResourceNotFound) SetPayload ¶
func (o *GetSectionsForResourceNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get sections for resource not found response
func (*GetSectionsForResourceNotFound) WithPayload ¶
func (o *GetSectionsForResourceNotFound) WithPayload(payload *models.NotFound) *GetSectionsForResourceNotFound
WithPayload adds the payload to the get sections for resource not found response
func (*GetSectionsForResourceNotFound) WriteResponse ¶
func (o *GetSectionsForResourceNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetSectionsForResourceOK ¶
type GetSectionsForResourceOK struct {
/*
In: Body
*/
Payload *models.SectionsResponse `json:"body,omitempty"`
}
GetSectionsForResourceOK OK Response
swagger:response getSectionsForResourceOK
func NewGetSectionsForResourceOK ¶
func NewGetSectionsForResourceOK() *GetSectionsForResourceOK
NewGetSectionsForResourceOK creates GetSectionsForResourceOK with default headers values
func (*GetSectionsForResourceOK) SetPayload ¶
func (o *GetSectionsForResourceOK) SetPayload(payload *models.SectionsResponse)
SetPayload sets the payload to the get sections for resource o k response
func (*GetSectionsForResourceOK) WithPayload ¶
func (o *GetSectionsForResourceOK) WithPayload(payload *models.SectionsResponse) *GetSectionsForResourceOK
WithPayload adds the payload to the get sections for resource o k response
func (*GetSectionsForResourceOK) WriteResponse ¶
func (o *GetSectionsForResourceOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetSectionsForResourceParams ¶
type GetSectionsForResourceParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
EndingBefore *string
/*
Required: true
In: path
*/
ID string
/*
In: query
*/
Limit *int64
/*
In: query
*/
StartingAfter *string
}
GetSectionsForResourceParams contains all the bound params for the get sections for resource operation typically these are obtained from a http.Request
swagger:parameters getSectionsForResource
func NewGetSectionsForResourceParams ¶
func NewGetSectionsForResourceParams() GetSectionsForResourceParams
NewGetSectionsForResourceParams creates a new GetSectionsForResourceParams object
There are no default values defined in the spec.
func (*GetSectionsForResourceParams) BindRequest ¶
func (o *GetSectionsForResourceParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetSectionsForResourceParams() beforehand.
type GetSectionsForResourceURL ¶
type GetSectionsForResourceURL struct {
ID string
EndingBefore *string
Limit *int64
StartingAfter *string
// contains filtered or unexported fields
}
GetSectionsForResourceURL generates an URL for the get sections for resource operation
func (*GetSectionsForResourceURL) Build ¶
func (o *GetSectionsForResourceURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetSectionsForResourceURL) BuildFull ¶
func (o *GetSectionsForResourceURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetSectionsForResourceURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetSectionsForResourceURL) SetBasePath ¶
func (o *GetSectionsForResourceURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetSectionsForResourceURL) String ¶
func (o *GetSectionsForResourceURL) String() string
String returns the string representation of the path with query string
func (*GetSectionsForResourceURL) StringFull ¶
func (o *GetSectionsForResourceURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetSectionsForResourceURL) WithBasePath ¶
func (o *GetSectionsForResourceURL) WithBasePath(bp string) *GetSectionsForResourceURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetUsersForResource ¶
type GetUsersForResource struct {
Context *middleware.Context
Handler GetUsersForResourceHandler
}
GetUsersForResource swagger:route GET /resources/{id}/users Resources getUsersForResource
Returns the student and/or teacher users for a resource
func NewGetUsersForResource ¶
func NewGetUsersForResource(ctx *middleware.Context, handler GetUsersForResourceHandler) *GetUsersForResource
NewGetUsersForResource creates a new http.Handler for the get users for resource operation
func (*GetUsersForResource) ServeHTTP ¶
func (o *GetUsersForResource) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetUsersForResourceHandler ¶
type GetUsersForResourceHandler interface {
Handle(GetUsersForResourceParams, interface{}) middleware.Responder
}
GetUsersForResourceHandler interface for that can handle valid get users for resource params
type GetUsersForResourceHandlerFunc ¶
type GetUsersForResourceHandlerFunc func(GetUsersForResourceParams, interface{}) middleware.Responder
GetUsersForResourceHandlerFunc turns a function with the right signature into a get users for resource handler
func (GetUsersForResourceHandlerFunc) Handle ¶
func (fn GetUsersForResourceHandlerFunc) Handle(params GetUsersForResourceParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetUsersForResourceNotFound ¶
type GetUsersForResourceNotFound struct {
/*
In: Body
*/
Payload *models.NotFound `json:"body,omitempty"`
}
GetUsersForResourceNotFound Entity Not Found
swagger:response getUsersForResourceNotFound
func NewGetUsersForResourceNotFound ¶
func NewGetUsersForResourceNotFound() *GetUsersForResourceNotFound
NewGetUsersForResourceNotFound creates GetUsersForResourceNotFound with default headers values
func (*GetUsersForResourceNotFound) SetPayload ¶
func (o *GetUsersForResourceNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get users for resource not found response
func (*GetUsersForResourceNotFound) WithPayload ¶
func (o *GetUsersForResourceNotFound) WithPayload(payload *models.NotFound) *GetUsersForResourceNotFound
WithPayload adds the payload to the get users for resource not found response
func (*GetUsersForResourceNotFound) WriteResponse ¶
func (o *GetUsersForResourceNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetUsersForResourceOK ¶
type GetUsersForResourceOK struct {
/*
In: Body
*/
Payload *models.UsersResponse `json:"body,omitempty"`
}
GetUsersForResourceOK OK Response
swagger:response getUsersForResourceOK
func NewGetUsersForResourceOK ¶
func NewGetUsersForResourceOK() *GetUsersForResourceOK
NewGetUsersForResourceOK creates GetUsersForResourceOK with default headers values
func (*GetUsersForResourceOK) SetPayload ¶
func (o *GetUsersForResourceOK) SetPayload(payload *models.UsersResponse)
SetPayload sets the payload to the get users for resource o k response
func (*GetUsersForResourceOK) WithPayload ¶
func (o *GetUsersForResourceOK) WithPayload(payload *models.UsersResponse) *GetUsersForResourceOK
WithPayload adds the payload to the get users for resource o k response
func (*GetUsersForResourceOK) WriteResponse ¶
func (o *GetUsersForResourceOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetUsersForResourceParams ¶
type GetUsersForResourceParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
EndingBefore *string
/*
Required: true
In: path
*/
ID string
/*
In: query
*/
Limit *int64
/*
In: query
*/
Role *string
/*
In: query
*/
StartingAfter *string
}
GetUsersForResourceParams contains all the bound params for the get users for resource operation typically these are obtained from a http.Request
swagger:parameters getUsersForResource
func NewGetUsersForResourceParams ¶
func NewGetUsersForResourceParams() GetUsersForResourceParams
NewGetUsersForResourceParams creates a new GetUsersForResourceParams object
There are no default values defined in the spec.
func (*GetUsersForResourceParams) BindRequest ¶
func (o *GetUsersForResourceParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetUsersForResourceParams() beforehand.
type GetUsersForResourceURL ¶
type GetUsersForResourceURL struct {
ID string
EndingBefore *string
Limit *int64
Role *string
StartingAfter *string
// contains filtered or unexported fields
}
GetUsersForResourceURL generates an URL for the get users for resource operation
func (*GetUsersForResourceURL) Build ¶
func (o *GetUsersForResourceURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetUsersForResourceURL) BuildFull ¶
func (o *GetUsersForResourceURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetUsersForResourceURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetUsersForResourceURL) SetBasePath ¶
func (o *GetUsersForResourceURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetUsersForResourceURL) String ¶
func (o *GetUsersForResourceURL) String() string
String returns the string representation of the path with query string
func (*GetUsersForResourceURL) StringFull ¶
func (o *GetUsersForResourceURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetUsersForResourceURL) WithBasePath ¶
func (o *GetUsersForResourceURL) WithBasePath(bp string) *GetUsersForResourceURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- get_courses_for_resource.go
- get_courses_for_resource_parameters.go
- get_courses_for_resource_responses.go
- get_courses_for_resource_urlbuilder.go
- get_resource.go
- get_resource_parameters.go
- get_resource_responses.go
- get_resource_urlbuilder.go
- get_resources.go
- get_resources_parameters.go
- get_resources_responses.go
- get_resources_urlbuilder.go
- get_sections_for_resource.go
- get_sections_for_resource_parameters.go
- get_sections_for_resource_responses.go
- get_sections_for_resource_urlbuilder.go
- get_users_for_resource.go
- get_users_for_resource_parameters.go
- get_users_for_resource_responses.go
- get_users_for_resource_urlbuilder.go